Package be.fgov.ehealth.commons.core.v2

# Class ActorType

java.lang.Object
be.fgov.ehealth.commons.core.v2.ActorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class ActorType extends Object implements Serializable
Identifies the type of Actor

Java class for ActorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}Id" maxOccurs="unbounded"/>
             <sequence>
               <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getFirstNames()`
  Gets the value of the firstNames property.
  `List<Id>`
  `getIds()`
  Identifier Gets the value of the ids property.
  `String`
  `getName()`
  Gets the value of the name property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActorType

    public ActorType()

- ## Method Details

  - ### getIds

    public List<Id> getIds()
    Identifier Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `Id`

    Returns:
      The value of the ids property.

  - ### getFirstNames

    public List<String> getFirstNames()
    Gets the value of the firstNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the firstNames property.

    For example, to add a new item, do as follows:

         getFirstNames().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the firstNames property.

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`